// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
// angular.module('starter', ['ionic', 'ngCordova', 'starter.controllers', 'starter.services', 'ngAnimate'])
angular.module('starter', ['ionic', 'ngCordova', 'starter.controllers', 'starter.services', 'LocalStorageModule', 'ionicLazyLoad'])



.controller("ExampleController", function($scope, $cordovaBarcodeScanner) {
    $scope.scanBarcode = function() {
        $cordovaBarcodeScanner.scan().then(function(imageData) {
            //alert(imageData.text);
            console.log("Barcode Format -> " + imageData.format);
            console.log("Cancelled -> " + imageData.cancelled);
        }, function(error) {
            console.log("An error happened -> " + error);
        });
    };
})




.run(function($ionicPlatform, $rootScope, $ionicPopup, $location, $ionicHistory,$cordovaToast,$state,jpushService,$cordovaSQLite) {
	 
	$rootScope.channel = "yingyb";
	$ionicPlatform.ready(function() {
		if (window.cordova && window.cordova.plugins.Keyboard) {
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
			cordova.plugins.Keyboard.disableScroll(true)
		
        }
		if (window.StatusBar) {
			StatusBar.styleDefault()
		}
		    MobclickAgent.init("5912bc4365b6d63d4400165d", "yingyb");
            //推送初始化
         var setTagsWithAliasCallback=function(event){
            //window.alert('result code:'+event.resultCode+' tags:'+event.tags+' alias:'+event.alias);
         }
         var openNotificationInAndroidCallback=function(data){
             var json=data;
             //window.alert(json);
             if(typeof data === 'string'){
                 json=JSON.parse(data);
             }
             var id=json.extras['cn.jpush.android.EXTRA'].id;
             //window.alert(id);
             var alert = json.extras['cn.jpush.android.ALERT'];
             $state.go('detail',{id:id+alert});
         }
         var config={
             stac:setTagsWithAliasCallback,
             oniac:openNotificationInAndroidCallback
         };
      
         jpushService.init(config);
      
          //启动极光推送服务
          window.plugins.jPushPlugin.init();
          window.plugins.jPushPlugin.setDebugMode(true);
	  });
    window.onerror = function(msg, url, line) {
        var idx = url.lastIndexOf("/");
        if(idx > -1) {
         url = url.substring(idx+1);
        }
        //alert("ERROR in " + url + " (line #" + line + "): " + msg);
        return false;
    };
	$rootScope.showAlert = function(msg) {
		$ionicPopup.alert({
			template: msg,
			buttons: [{
				text: "OK",
				type: "button-assertive",
			}]
		})
	};
	$ionicPlatform.registerBackButtonAction(function(e) {
		if ($location.path() == "/personage" || $location.path() == "/current"|| $location.path() == "/login"|| $location.path() == "/data"|| $location.path() == "/expert") {
			if ($rootScope.backButtonPressedOnceToExit) {
				ionic.Platform.exitApp()
			} else {
				$rootScope.backButtonPressedOnceToExit = true;
 				$cordovaToast.showShortCenter('再按一次退出系统');  
				setTimeout(function() {
					$rootScope.backButtonPressedOnceToExit = false
				}, 2000)
			}
		} else {
			if ($ionicHistory.backView()) {
				$ionicHistory.goBack()
			}
		}
		e.preventDefault();
		return false
	}, 101)

    //----------------------
    $rootScope.showAlert = function(msg) {
        $ionicPopup.alert({
            // title: 'Information',
            template: msg,
//          buttons: [{ text: 'OK', type: 'button-assertive', }]
        });
    };
    
    
    //启动极光推送服务
//  window.plugins.jPushPlugin.init();
//  window.plugins.jPushPlugin.setDebugMode(true);
//  window.plugins.jPushPlugin.setStatisticsOpen(true);
})
.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider) {
    //页面切换（已禁止）
	$ionicConfigProvider.views.transition('none');
    $stateProvider

    .state('outcome', {
        url: '/current/outcome',
        templateUrl: 'templates/current/outcome.html',
        controller: 'outcomeController'
    })
    .state('retrospect', {
        url: '/retrospect:state',
        templateUrl: 'templates/main/retrospect.html',
        controller: 'retrospectController'
    })
    .state('referral', {
        url: '/current/referral',
        templateUrl: 'templates/current/referral.html',
        controller: 'referralController'
    })
	 .state('login', {
        url: '/login:key',
        templateUrl: 'templates/main/login.html',
        controller: 'loginController'
    })
    .state('sift', {
        url: '/sift',
        templateUrl: 'templates/current/sift.html',
        controller: 'siftController'

    })
    .state('Gt', {
        url: '/sift/Gt:no',
        templateUrl: 'templates/sift/siftGt.html',
        controller: 'GtController'

    })
    .state('bet', {
        url: '/bet',
        templateUrl: 'templates/main/bet.html',
        controller: 'betController'

    })
    .state('personage', {
        url: '/personage:key',
        templateUrl: 'templates/main/personage.html',
        controller: 'personController'

    })
    .state('yhj', {
        url: '/personage/yhj:balance',
        templateUrl: 'templates/personage/yhj.html',
        controller: 'yhjController'

    })
     .state('set', {
        url: '/personage/set',
        templateUrl: 'templates/personage/set.html',
        controller: 'setController'

    })
     .state('setDetail', {
        url: '/personage/set/detail',
        templateUrl: 'templates/personage/setDetail.html',
        controller: 'setDetailController'

    })
     .state('our', {
        url: '/personage/set/our',
        templateUrl: 'templates/personage/our.html',
        controller: 'ourController'

    })
     .state('feedback', {
        url: '/personage/set/feedback',
        templateUrl: 'templates/personage/feedback.html',
        controller: 'feedbackController'

    })
     .state('teaser', {
        url: '/personage/teaser',
        templateUrl: 'templates/personage/teaser.html',
        controller: 'teaserController'

    })
     .state('invite', {
        url: '/personage/invite',
        templateUrl: 'templates/personage/invite.html',
      	controller:'inviteController'

    })
     .state('purchasePlanDetal', {
        url: '/personage/purchasePlanDetal',
        templateUrl: 'templates/personage/purchasepDetal.html',
        controller: 'purchasePlanDetalController'

    })
     .state('purchasePlan', {
        url: '/personage/purchasePlan',
        templateUrl: 'templates/personage/purchasePlan.html',
        controller: 'purchasePlanController'

    })
    .state('scheme', {
        url: '/sift1/scheme:key',
        templateUrl: 'templates/sift/scheme.html',
        controller: 'schemeController'

    })
    .state('help', {
        url: '/sift/help',
        templateUrl: 'templates/sift/help.html',
        controller: 'helpController'

    })
    .state('sift1', {
        url: '/sift1',
        templateUrl: 'templates/current/sift1.html',
        controller: 'sift1Controller'

    })
    .state('protocol', {
        url: '/protocol',
        templateUrl: 'templates/protocol/protocol.html',
        controller: 'protocolController'

    })
    .state('betdetail', {
        url: '/bet/detail:key',
        templateUrl: 'templates/bet/bet_detail.html',
        controller: 'betdetailController'

    })
    .state('betAyer', {
        url: '/bet/ayer',
        templateUrl: 'templates/bet/bet_Ayer.html',
        controller: 'betAyerController'

    })
    .state('betGood', {
        url: '/bet/good',
        templateUrl: 'templates/bet/bet_good.html',
        controller: 'betGoodController'

    })
    .state('betSummery', {
        url: '/bet/summery',
        templateUrl: 'templates/bet/bet_summery.html',
        controller: 'betSummeryController'

    }).state('betBanner', {
        url: '/bet/betBanner',
        templateUrl: 'templates/bet/betBanner.html',
		controller: 'betBannerController'
    }).state('payDetail', {
        url: '/personage/detail',
        templateUrl: 'templates/personage/pay_detail.html',
		controller: 'payDetailController'
    }).state('active', {
        url: '/current/active',
        templateUrl: 'templates/current/active.html',
        controller: 'activeController'
    }).state('applyDl', {
        url: '/personage/applyDl',
        templateUrl: 'templates/personage/applyDl.html',
        controller: 'applyDlController'
    }).state('meDl', {
        url: '/personage/meDl',
        templateUrl: 'templates/personage/meDl.html',
        controller: 'meDlController'
    }).state('inviteMx', {
        url: '/personage/inviteMx',
        templateUrl: 'templates/personage/inviteMx.html',
        controller: 'inviteMxController'
    }).state('settlement', {
        url: '/personage/settlement',
        templateUrl: 'templates/personage/settlement.html',
        controller: 'settlementController'
    }).state('shouyMx', {
        url: '/personage/shouyMx:key',
        templateUrl: 'templates/personage/shouyMx.html',
        controller: 'shouyMxController'
    }).state('applyXy', {
        url: '/personage/applyXy',
        templateUrl: 'templates/personage/applyXy.html',
        controller: 'applyXyController'
    }).state('ch', {
        url: '/ch',
        templateUrl: 'templates/other/ch.html',
        controller: 'chController'
    }).state('chDetail', {
        url: '/chDetail',
        templateUrl: 'templates/other/chDetail.html',
        controller: 'chDetailController'
    }).state('scheme1', {
        url: '/sift/scheme1:key',
        templateUrl: 'templates/sift/scheme1.html',
        controller: 'scheme1Controller'
    }).state('select', {
        url: '/selectGame',
        templateUrl: 'templates/main/selectGame.html',
        controller: 'selectGameController'
    }).state('current', {
        url: '/current',
        templateUrl: 'templates/main/current.html',
        controller: 'currentController'
    }).state('schemeYear', {
        url: '/current/schemeYear',
        templateUrl: 'templates/current/schemeYear.html',
        controller: 'schemeYearController'
    }).state('scheme1Year', {
        url: '/current/scheme1Year',
        templateUrl: 'templates/current/scheme1Year.html',
        controller: 'scheme1YearController'
    }).state('mouthHG', {
        url: '/current/mouthHG',
        templateUrl: 'templates/current/mouthHG.html',
        controller: 'mouthHGController'
    }).state('week', {
        url: '/current/week',
        templateUrl: 'templates/current/week.html',
        controller: 'weekController'
    }).state('siftYH', {
        url: '/sift/siftYH',
        templateUrl: 'templates/sift/siftYH.html',
        controller: 'siftYHController'
    }).state('siftMX', {
        url: '/sift/siftMX',
        templateUrl: 'templates/sift/siftMX.html',
        controller: 'siftMXController'
    }).state('expert', {
        url: '/expert',
        templateUrl: 'templates/main/expert.html',
        controller: 'expertController'
    }).state('expertDetail', {
        url: '/expert/detail:key',
        templateUrl: 'templates/main/expert_detail.html',
        controller: 'expertDetailController'
    }).state('data', {
        url: '/data',
        templateUrl: 'templates/main/data.html',
        controller: 'dataController'
    }).state('touzhu', {
        url: '/touzhu',
        templateUrl: 'templates/sift/touzhu.html',
        controller: 'touzhuController'
    }).state('expertSele', {
        url: '/expert/sele',
        templateUrl: 'templates/sift/expert_sele.html',
        controller: 'expertSeleController'
    }).state('sift2', {
        url: '/sift2',
        templateUrl: 'templates/current/sift2.html',
        controller: 'sift2Controller'
    }).state('bpan', {
        url: '/bpan',
        templateUrl: 'templates/current/bpan.html',
        controller: 'bpanController'
    }).state('lengM', {
        url: '/lengM',
        templateUrl: 'templates/current/lengM.html',
        controller: 'lengController'
    }).state('youP', {
        url: '/youP',
        templateUrl: 'templates/current/youP.html',
        controller: 'youPController'
    }).state('dr', {
        url: '/dr:key',
        templateUrl: 'templates/current/dr.html',
        controller: 'drController'
    }).state('tongP', {
        url: '/tongP:key',
        templateUrl: 'templates/current/tongP.html',
        controller: 'tongPController'
    }).state('gameDetal', {
        url: '/gameDetal',
        templateUrl: 'templates/current/gameDetal.html',
        controller: 'gameDetalController'
    }).state('evaluat', {
        url: '/evaluat',
        templateUrl: 'templates/current/evaluat.html',
        controller: 'evaluatController'
    }).state('daDetail', {
        url: '/daDetail:key',
        templateUrl: 'templates/current/daDetail.html',
        controller: 'daDetailController'
    }).state('pingC', {
        url: '/pingC',
        templateUrl: 'templates/current/pingC.html',
        controller: 'pingCController'
    }).state('payMem', {
        url: '/payMem:key',
        templateUrl: 'templates/current/payMem.html',
        controller: 'payMemController'
    }).state('selectDr', {
        url: '/selectDr',
        templateUrl: 'templates/current/selectDr.html',
        controller: 'selectDrController'
    }).state('selectTp', {
        url: '/selectTp',
        templateUrl: 'templates/current/selectTp.html',
        controller: 'selectTpController'
    }).state('banner1', {
        url: '/banner1',
        templateUrl: 'templates/banner/banner1.html'
    }).state('banner2', {
        url: '/banner2',
        templateUrl: 'templates/banner/banner2.html'
    }).state('banner3', {
        url: '/banner3',
        templateUrl: 'templates/banner/banner3.html'
    }).state('banner4', {
        url: '/banner4',
        templateUrl: 'templates/banner/banner4.html'
    }).state('banner5', {
        url: '/banner5',
        templateUrl: 'templates/banner/banner5.html',
        controller: 'banner5Controller'
    }).state('banner6', {
        url: '/banner6',
        templateUrl: 'templates/banner/banner6.html'
    }).state('banner7', {
        url: '/banner7',
        templateUrl: 'templates/banner/banner7.html',
    }).state('newpag', {
        url: '/newpag',
        templateUrl: 'templates/plan/newpag.html',
        controller: 'newpagController'
    }).state('newpag1', {
        url: '/newpag1',
        templateUrl: 'templates/plan/newpag1.html',
        controller: 'newpag1Controller'
    }).state('newpag2', {
        url: '/newpag2',
        templateUrl: 'templates/plan/newpag2.html',
        controller: 'newpag2Controller'
    }).state('newpag3', {
        url: '/newpag3',
        templateUrl: 'templates/plan/newpag3.html',
        controller: 'newpag3Controller'
    }).state('newpag4', {
        url: '/newpag4',
        templateUrl: 'templates/plan/newpag4.html',
        controller: 'newpag4Controller'
    }).state('newpag5', {
        url: '/newpag5',
        templateUrl: 'templates/plan/newpag5.html',
        controller: 'newpag5Controller'
    });



    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/current');
});
